aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/tmux/.local/bin/tmux-sshr
diff options
context:
space:
mode:
Diffstat (limited to 'tmux/.local/bin/tmux-sshr')
-rwxr-xr-xtmux/.local/bin/tmux-sshr2
1 files changed, 1 insertions, 1 deletions
diff --git a/tmux/.local/bin/tmux-sshr b/tmux/.local/bin/tmux-sshr
index a731416..9168e3d 100755
--- a/tmux/.local/bin/tmux-sshr
+++ b/tmux/.local/bin/tmux-sshr
@@ -38,7 +38,7 @@ EOF
if [ "${hostname##"$HOST"}" != "$hostname" ]; then
tmux detach -E 'tmux new -A'
else
- if ! tmux -L ssh has-session -t "$session"; then
+ if ! tmux -L ssh has-session -t "$session" 2>/dev/null; then
tmux -L ssh new-session -ds "$session" -- \
ssh -t "$@" \
-R "/tmp/tmux-${HOST}.control:/tmp/tmux-%i/ssh" \